Important - updating your browser

The following links are available for York College staff and students

The college's new website has been designed and built with the latest web technologies, and for this reason will work most effectively on all current browser versions such as Internet Explorer 11, Chrome, Firefox and Safari.

Older browser versions such as Internet Explorer 8 will only allow limited use of the site and NOT the full user experience. It is therefore recommended that you use Chrome or Firefox when viewing the new website.

ITSS are currently upgrading PCs that run Windows XP to Windows 7 which will in turn upgrade the version of Internet Explorer to a supported version, and therefore allow the college's website to be viewed correctly.

It looks like you don't already have one of these current browsers installed, you therefore need to download a new browser.

Firefox

Chrome

Opera

You should continue to use Internet Explorer for UNIT-e applications which can be accessed via your desktop shortcut icons as before.

Why do I need an up-to-date browser?

Security

Newer browsers protect you better against scams, viruses, trojans, phishing and other threats. They also fix security holes in your current browser

Speed

Every new browser generation improves speed

Compatibility

Websites using new technology will be displayed more correctly

Comfort

With new features, extensions and better customisability, you will have a more comfortable web-experience